> For the complete documentation index, see [llms.txt](https://docs.didomi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.didomi.io/get-started/general/cookies-and-local-storage.md).

# Cookies and local storage

Review the table below for more information on cookies and/or local storage items that Didomi may store on end-user's devices:

<table><thead><tr><th width="140">Key</th><th width="106">Status</th><th>Description</th></tr></thead><tbody><tr><td><code>didomi_dcs</code></td><td>Active</td><td>The Didomi Consent String (DCS) <code>didomi_dcs</code> is an alternative to <code>didomi_token</code> as the mechanism used to store end-user consent. Allows your organization to not only support TCF vendors and purposes but also custom vendors and purposes, Authorized Technology Providers (ATPs), etc. in a single, lightweight, and privacy-compliant format. <a href="/pages/ti4kqkczqKkPqdOQ10Pu">Click here</a> for more information.</td></tr><tr><td><code>euconsent-v2</code></td><td>Active</td><td>Contains the IAB TCF consent string (TC String) and consent information for all the standard IAB vendors and purposes. <a href="https://github.com/InteractiveAdvertisingBureau/GDPR-Transparency-and-Consent-Framework/blob/master/TCFv2/IAB%20Tech%20Lab%20-%20Consent%20string%20and%20vendor%20list%20formats%20v2.md#the-core-string">Click here</a> for the technical specification of the TC String.<br><br>The TC string can be decoded using the <a href="https://iabtcf.com/#/decode">TC String decoder</a>.</td></tr><tr><td><code>didomi_token</code></td><td>Active</td><td><p>Consent information for custom purposes and vendors, as well as Didomi-specific information (e.g. user ID). The token can be decoded using a <a href="https://www.base64decode.org/">base64 decoder</a>.</p><div data-gb-custom-block data-tag="hint" data-style="warning" class="hint hint-warning"><p><strong>Note</strong>: Token used specifically to store end-user consent related to GDPR. </p></div><p>The data included in the token includes:</p><ul><li><strong>updated</strong>: last consent update date</li><li><strong>vendors.enabled</strong>: list of custom vendors enabled on the consent legal basis</li><li><strong>vendors.disabled</strong>: list of custom vendors disabled on the consent legal basis</li><li><strong>purposes.enabled</strong>: list of custom purposes enabled on the consent legal basis</li><li><strong>purposes.disabled</strong>: list of custom purposes disabled on the consent legal basis</li><li><strong>vendors_li.enabled</strong>: list of custom vendors enabled on the legitimate interest legal basis</li><li><strong>vendors_li.disabled</strong>: list of custom vendors disabled on the legitimate interest legal basis</li><li><strong>purposes_li.enabled</strong>: list of custom purposes enabled on the legitimate interest legal basis</li><li><strong>purposes_li.disabled</strong>: list of custom purposes disabled on the legitimate interest legal basis</li><li><strong>version</strong>: TCF version used</li></ul></td></tr><tr><td><code>didomi_token_&#x3C;regulation></code></td><td>Active</td><td><p>Consent information for purposes and vendors for non-GDPR regulations supported by Didomi. The token can be decoded using a <a href="https://www.base64decode.org/">base64 decoder</a>. <br><br>For each regulation where the end-user's consent information is stored, the token will be suffixed with name of the regulation (e.g. <code>didomi_token_cpra</code> or <code>didomi_token_tdpsa</code>). <a href="/pages/PV4LF5v98dPxq8XyJfaW">Click here</a> for more information on supported regulations. <br></p><p>The data included in the token includes:</p><ul><li><strong>updated</strong>: last consent update date</li><li><strong>vendors.enabled</strong>: list of custom vendors enabled on the consent legal basis</li><li><strong>vendors.disabled</strong>: list of custom vendors disabled on the consent legal basis</li><li><strong>purposes.enabled</strong>: list of custom purposes enabled on the consent legal basis</li><li><strong>purposes.disabled</strong>: list of custom purposes disabled on the consent legal basis</li><li><strong>vendors_li.enabled</strong>: list of custom vendors enabled on the legitimate interest legal basis</li><li><strong>vendors_li.disabled</strong>: list of custom vendors disabled on the legitimate interest legal basis</li><li><strong>purposes_li.enabled</strong>: list of custom purposes enabled on the legitimate interest legal basis</li><li><strong>purposes_li.disabled</strong>: list of custom purposes disabled on the legitimate interest legal basis</li><li><strong>version</strong>: TCF version used</li><li><strong>dns</strong>: Boolean value for if end-user has opted out of sale/share of data (only available for <code>didomi_token_cpra</code>)</li><li><strong>dnsd</strong>: Timestamp for when the opt-out notice was shown to the end-user (only available for <code>didomi_token_cpra</code>)</li></ul></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.didomi.io/get-started/general/cookies-and-local-storage.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
